Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159510 - Firefox hangs whilst resolving DNS in proxy.pac
Summary: Firefox hangs whilst resolving DNS in proxy.pac
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: firefox
Version: 4.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard: massRequestForReproduction
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-03 10:11 UTC by Matthew Booth
Modified: 2008-03-13 09:46 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-03-13 09:46:06 UTC


Attachments (Terms of Use)

Description Matthew Booth 2005-06-03 10:11:31 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.8) Gecko/20050512 Red Hat/1.0.4-1.4.1 Firefox/1.0.4

Description of problem:
I use the following proxy.pac:

function FindProxyForURL(url, host)
{
    if (isInNet(host, "172.16.0.0", "255.255.0.0") &&
        (dnsDomainIs(host, "redhat.com") || dnsDomainIs(host, "redhat.de")))
        return "SOCKS localhost:3001; DIRECT";
    else
        //return "SOCKS localhost:3001; DIRECT";
        return "DIRECT";
}

The socks proxy is provided by ssh -D 3001.

When the above script is operating on a hostname which requires dns resolution, the whole browser hangs.

Version-Release number of selected component (if applicable):
firefox-1.0.4-1.4.1

How reproducible:
Always

Steps to Reproduce:
1. Configure firefox to use the above proxy.pac
2. Go to a web page which doesn't have a cached dns entry, and whose resolution will take a second or 2.

Actual Results:  Firefox hangs for the entire duration of the lookup. If the page contains dependencies on other non-cached servers, each of these lookups will also cause a hang.

A hang here means that Firefox is entirely unresponsive to user input, and its X window is not refreshed after being obscured.

Expected Results:  Firefox should continue to respond to user input during any long running operation.

Additional info:

Comment 1 ilja lunev 2005-06-08 15:52:19 UTC
we have it on the many systems under WS4. We have sure an another rac script.

Comment 2 Matěj Cepl 2008-02-08 20:42:05 UTC
Since this bugzilla report was filed, we have seriously upgraded Gecko-related
packages, which may have resolved this issue. Users who have experienced this
problem are encouraged to upgrade their system to the latest version of their
distribution available.

Please, confirm to us that this bug is reproducible on the latest upgrade of the
supported distribution (that's RHEL, or Fedora 7, 8, and Rawhide).

Setting the bug to NEEDINFO. If I won't get confirmation of reproducability in
30 days, the bug will be closed as INSUFFICIENT_DATA.

[This is mass-changing of bugs which seem to be too old and irrelevant anymore;
we are sorry, if this bug should not be incldued.]

Comment 3 Matěj Cepl 2008-03-12 15:45:25 UTC
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

Comment 4 Matthew Booth 2008-03-13 09:46:06 UTC
I don't have the resources to reproduce a slow DNS server, so your request won't
happen.


Note You need to log in before you can comment on or make changes to this bug.